### Enumeration

# AppStream RelationCompare

#### Declaration

    enum AppStream.RelationCompare

#### Description [src]

The relational comparison type.

#### Members

`AS_RELATION_COMPARE_UNKNOWN`

  Comparison predicate invalid or not known.

  - Value: `0`
  - Available since: 1.0
`AS_RELATION_COMPARE_EQ`

  Equal to.

  - Value: `1`
  - Available since: 1.0
`AS_RELATION_COMPARE_NE`

  Not equal to.

  - Value: `2`
  - Available since: 1.0
`AS_RELATION_COMPARE_LT`

  Less than.

  - Value: `3`
  - Available since: 1.0
`AS_RELATION_COMPARE_GT`

  Greater than.

  - Value: `4`
  - Available since: 1.0
`AS_RELATION_COMPARE_LE`

  Less than or equal to.

  - Value: `5`
  - Available since: 1.0
`AS_RELATION_COMPARE_GE`

  Greater than or equal to.

  - Value: `6`
  - Available since: 1.0

#### Type functions

###### as_relation_compare_from_string

Converts the text representation to an enumerated value.

since: 0.12.0

###### as_relation_compare_to_string

Converts the enumerated value to an text representation. The enum is converted into a two-letter identifier (“eq”, “ge”, etc.) for use in the XML representation.

since: 0.12.0

###### as_relation_compare_to_symbols_string

Converts the enumerated value to an text representation. The enum is converted into an identifier consisting of two mathematical comparison operators (“==”, “>=”, etc.) for use in the YAML representation and user interfaces.

since: 0.12.0